Power on CloudServer
POST/projects/:projectId/providers/Aruba.Compute/cloudServers/:cloudServerId/poweron
Power on CloudServer
Request
Path Parameters
cloudServerId stringrequired
projectId stringrequired
Query Parameters
api-version string
The requested API version
Default value:
1Responses
- 202
- 400
- 404
- 500
Accepted
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
metadata
object
id stringnullable
uri stringnullable
name stringnullable
location
object
code stringnullable
country stringnullable
city stringnullable
name stringnullable
value stringnullable
project
object
id stringnullable
tags string[]nullable
category
object
name stringnullable
provider stringnullable
typology
object
id stringnullable
name stringnullable
creationDate date-timenullable
createdBy stringnullable
updateDate date-timenullable
updatedBy stringnullable
version stringnullable
createdUser stringnullable
updatedUser stringnullable
status
object
state stringnullable
creationDate date-timenullable
disableStatusInfo
object
isDisabled boolean
reasons string[]
previousStatus
object
state stringnullable
creationDate date-timenullable
failureReason stringnullable
properties
object
linkedResources
object[]
uri stringnullable
strictCorrelation boolean
vpc
object
uri stringnullable
dataCenter string
For more information, check the documentation.
flavor
object
id string
name string
category string
cpu int32
ram int32
hd int32
bootVolume
object
uri stringnullable
keyPair
object
uri stringnullable
networkInterfaces
object[]
subnet stringnullable
macAddress stringnullable
ips string[]nullable
properties
object
nullable
property name* string
{
"metadata": {
"id": "string",
"uri": "string",
"name": "string",
"location": {
"code": "string",
"country": "string",
"city": "string",
"name": "string",
"value": "string"
},
"project": {
"id": "string"
},
"tags": [
"string"
],
"category": {
"name": "string",
"provider": "string",
"typology": {
"id": "string",
"name": "string"
}
},
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string",
"updateDate": "2024-07-29T15:51:28.071Z",
"updatedBy": "string",
"version": "string",
"createdUser": "string",
"updatedUser": "string"
},
"status": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"disableStatusInfo": {
"isDisabled": true,
"reasons": [
"string"
],
"previousStatus": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
}
},
"failureReason": "string"
},
"properties": {
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"vpc": {
"uri": "string"
},
"dataCenter": "string",
"flavor": {
"id": "string",
"name": "string",
"category": "string",
"cpu": 0,
"ram": 0,
"hd": 0
},
"bootVolume": {
"uri": "string"
},
"keyPair": {
"uri": "string"
},
"networkInterfaces": [
{
"subnet": "string",
"macAddress": "string",
"ips": [
"string"
],
"properties": {}
}
]
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error
Loading...